# phpMyAdmin SQL Dump
# version 2.5.3-rc2
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Mar 19, 2005 at 05:51 PM
# Server version: 3.23.57
# PHP Version: 4.3.3
#
# Database : `xhp`
#

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblog_comments`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblog_comments`;
CREATE TABLE `XHP_TBL_PREFIXblog_comments` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `post_id` bigint(20) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `date_posted` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblog_comments`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblog_posts`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblog_posts`;
CREATE TABLE `XHP_TBL_PREFIXblog_posts` (
  `post_id` bigint(20) NOT NULL auto_increment,
  `date_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `box_id` int(11) NOT NULL default '0',
  `date_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `poster_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblog_posts`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblog_settings`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblog_settings`;
CREATE TABLE `XHP_TBL_PREFIXblog_settings` (
  `box_id` int(11) default NULL,
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `image_url` text NOT NULL,
  `allow_comments` smallint(6) NOT NULL default '1'
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblog_settings`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblogroll_feeds`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblogroll_feeds`;
CREATE TABLE `XHP_TBL_PREFIXblogroll_feeds` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `box_id` int(11) NOT NULL default '0',
  `url` text NOT NULL,
  `last_refresh` datetime NOT NULL default '0000-00-00 00:00:00',
  `refresh_interval` int(11) NOT NULL default '600',
  `title` varchar(255) NOT NULL default '',
  `link` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblogroll_feeds`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblogroll_items`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblogroll_items`;
CREATE TABLE `XHP_TBL_PREFIXblogroll_items` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `feed_id` bigint(20) unsigned NOT NULL default '0',
  `item_object` text NOT NULL,
  `item_md5` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `date_timestamp` bigint(20) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `link` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `item_md5` (`item_md5`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblogroll_items`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXblogroll_settings`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXblogroll_settings`;
CREATE TABLE `XHP_TBL_PREFIXblogroll_settings` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `box_id` int(11) NOT NULL default '0',
  `number_of_items` int(11) NOT NULL default '0',
  `max_characters` int(11) NOT NULL default '500',
  `columns_no` int(11) NOT NULL default '1',
  `display_title` tinyint(4) NOT NULL default '1',
  `display_date` tinyint(4) NOT NULL default '1',
  `display_description` tinyint(4) NOT NULL default '1',
  `display_source` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXblogroll_settings`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXboxes`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXboxes`;
CREATE TABLE `XHP_TBL_PREFIXboxes` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `page_id` int(11) NOT NULL default '0',
  `module_id` varchar(255) NOT NULL default '',
  `module_order` int(11) NOT NULL default '1',
  `main_module` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXboxes`
#

INSERT INTO `XHP_TBL_PREFIXboxes` VALUES (29, 'MAIN_CONTENT', 0, 'users', 1, 0);

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXconfig`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXconfig`;
CREATE TABLE `XHP_TBL_PREFIXconfig` (
  `variable` varchar(255) default NULL,
  `value` varchar(255) default NULL
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXconfig`
#

INSERT INTO `XHP_TBL_PREFIXconfig` VALUES ('PAGE_TITLE', 'XHP CMS');
INSERT INTO `XHP_TBL_PREFIXconfig` VALUES ('PAGE_URL', 'http://localhost/xhp/');
INSERT INTO `XHP_TBL_PREFIXconfig` VALUES ('PAGE_DESCRIPTION', 'XHP is an easy to install, easy to use, easy to expand personal home page software. It includes blog, image gallery, RSS reader, content modules and an API for contributed modules.');
INSERT INTO `XHP_TBL_PREFIXconfig` VALUES ('THEME', 'xhp');
INSERT INTO `XHP_TBL_PREFIXconfig` VALUES ('LANGUAGE', 'english');

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXcontent`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXcontent`;
CREATE TABLE `XHP_TBL_PREFIXcontent` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `content` text,
  `type` smallint(6) NOT NULL default '0',
  `box_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXcontent`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXgallery_albums`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXgallery_albums`;
CREATE TABLE `XHP_TBL_PREFIXgallery_albums` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` text,
  `thumbnail_columns` tinyint(4) NOT NULL default '1',
  `thumbnail_id` int(10) unsigned NOT NULL default '0',
  `box_id` int(11) NOT NULL default '0',
  `default_album` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXgallery_albums`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXgallery_pictures`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXgallery_pictures`;
CREATE TABLE `XHP_TBL_PREFIXgallery_pictures` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `album_id` int(10) unsigned default NULL,
  `name` varchar(255) default NULL,
  `description` text,
  `date_taken` date default NULL,
  `display_order` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXgallery_pictures`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXguest`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXguest`;
CREATE TABLE `XHP_TBL_PREFIXguest` (
  `id` int(11) NOT NULL auto_increment,
  `comment` text NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `date_posted` date NOT NULL default '0000-00-00',
  `box_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXguest`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXlinks`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXlinks`;
CREATE TABLE `XHP_TBL_PREFIXlinks` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `url` text,
  `title` varchar(255) default NULL,
  `description` text,
  `box_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXlinks`
#


# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXmodules`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXmodules`;
CREATE TABLE `XHP_TBL_PREFIXmodules` (
  `name` varchar(255) default NULL,
  `module_id` varchar(255) default NULL,
  `item_id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`item_id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXmodules`
#

INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Guestbook', 'guestbook', 19);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Blog', 'blog', 3);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Admin', 'users', 4);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Links', 'links', 5);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Gallery', 'gallery', 6);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Content', 'content', 8);
INSERT INTO `XHP_TBL_PREFIXmodules` VALUES ('Blogroll', 'blogroll', 20);

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXpages`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXpages`;
CREATE TABLE `XHP_TBL_PREFIXpages` (
  `page_id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default 'Untitled',
  `active` tinyint(4) NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '-1',
  `menu_order` int(11) NOT NULL default '1',
  `theme` varchar(255) NOT NULL default 'site_theme',
  PRIMARY KEY  (`page_id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXpages`
#

INSERT INTO `XHP_TBL_PREFIXpages` VALUES (0, 'Admin', 1, -1, 1, 'site_scheme');
UPDATE `XHP_TBL_PREFIXpages` SET page_id=0;

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXtemplate_objects`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXtemplate_objects`;
CREATE TABLE `XHP_TBL_PREFIXtemplate_objects` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `placeholder` varchar(255) NOT NULL default '',
  `php_code` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXtemplate_objects`
#

INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (1, 'HEADER', '<?php\r\n	require_once ("inc/htmlheader.inc.php");\r\n?>');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (2, 'SITE_NAME', '<?php echo stripslashes(XHP_C_PAGE_TITLE); ?>');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (3, 'XHP_MENU', '<?php\r\n	echo "<ul>\\n";\r\n	draw_main_menu();\r\n	echo "</ul>\\n";\r\n?>');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (4, 'COPYRIGHT', '<a href="http://xhp.sourceforge.net"><?php echo XHP_POWERED." v".XHP_VERSION; ?></a><br />\r\n<a href="http://lars.targetit.ro"><?php echo XHP_COPYRIGHT; ?></a>');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (5, 'EDIT_BOX', '<?php\r\n	require_once ("inc/content.inc.php");\r\n	draw_edit_box ();\r\n?>');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (8, 'USERNAME', '<?php\n	require_once ("config.php");\n	require_once ("inc/authentication.inc.php");\n	$username=get_current_XHP_TBL_PREFIXuser();\n	if ($username)\n		echo "<h3 style=\\"color:#FFFFFF\\">".$username."</h3>";\n?>\n');
INSERT INTO `XHP_TBL_PREFIXtemplate_objects` VALUES (9, 'TIGRA_MENU', '<?php\r\n	require_once ("modules/tigra_menu/tigra_menu.xhpm.php");\r\n    // initialize module object\r\n    $classname = "XHP_TBL_PREFIXtigra_menu";\r\n	$objmodule = new $classname();\r\n	$objmodule->dump_tigra_items();\r\n?>\r\n<!-- menu script itself. you should not modify this file -->\r\n<script language="JavaScript" src="themes/XHP_TBL_PREFIXtigra/menu.js"></script>\r\n<!-- items structure. menu hierarchy and links are stored there -->\r\n<script language="JavaScript" src="themes/XHP_TBL_PREFIXtigra/menu_items_XHP_TBL_PREFIX<?=session_id()?>.js"></script>\r\n<!-- files with geometry and styles structures -->\r\n<script language="JavaScript" src="themes/XHP_TBL_PREFIXtigra/menu_tpl.js"></script>\r\n<script language="JavaScript">\r\n	<!--//\r\n	// Note where menu initialization block is located in HTML document.\r\n	// Don\'t try to position menu locating menu initialization block in\r\n	// some table cell or other HTML element. Always put it before </body>\r\n\r\n	// each menu gets two parameters (see demo files)\r\n	// 1. items structure\r\n	// 2. geometry structure\r\n\r\n	new menu (MENU_ITEMS, MENU_POS);\r\n	// make sure files containing definitions for these variables are linked to the document\r\n	// if you got some javascript error like "MENU_POS is not defined", then you\'ve made syntax\r\n	// error in menu_tpl.js file or that file isn\'t linked properly.\r\n\r\n	// also take a look at stylesheets loaded in header in order to set styles\r\n	//-->\r\n</script>\r\n');

# --------------------------------------------------------

#
# Table structure for table `XHP_TBL_PREFIXusers`
#

DROP TABLE IF EXISTS `XHP_TBL_PREFIXusers`;
CREATE TABLE `XHP_TBL_PREFIXusers` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255) default NULL,
  `password` varchar(255) default NULL,
  `session_id` varchar(255) NOT NULL default '',
  `first_name` varchar(255) NOT NULL default '',
  `last_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `XHP_TBL_PREFIXusers`
#

INSERT INTO `XHP_TBL_PREFIXusers` VALUES (1, 'admin', 'lars', '', 'Laurentiu', 'Matei');



