<?php
/*
 *
 *  XHP - eXpandable Home Page [xhp.targetit.ro]
 *  Copyright (C) 2003-2005
 *  Laurentiu "Lars" Matei <laurentiu.matei@targetit.ro>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

// define access level constats
define ("XHP_ACCESS_NONE",0);
define ("XHP_ACCESS_VIEW",1);
define ("XHP_ACCESS_EDIT",2);
define ("XHP_ACCESS_ADMIN",3);

function get_current_xhp_user()
{
	require_once ("config.php");
    global $db;

    $username = $db->get_var("SELECT username FROM ".XHP_TBL_PREFIX."users WHERE session_id='".session_id()."'");
    if ($username == null)
        return false;
    else
        return $username;
}

function get_access_level()
{
	require_once ("config.php");
    global $db;
	if (get_current_xhp_user())
	{
		return XHP_ACCESS_ADMIN;
	}
	else
	{
		return XHP_ACCESS_VIEW;
	}	
}

?>
