<?php
/*
 *
 *  XHP - eXpandable Home Page [xhp.targetit.ro]
 *  Copyright (C) 2003-2005
 *  Laurentiu "Lars" Matei <laurentiu.matei@targetit.ro>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
 global $clean_post, $clean_get, $clean_cookie;
 
 $clean_post = array();
 $clean_get = array();
 $clean_cookie = array();
 
 require_once ("config.php");
 global $db;
 
 // $_POST array
 
 
 // $_GET array
 
 // $_GET['module'] must be a valid module
if (isset($_GET['module']))
	if ($db->get_var("SELECT COUNT(module_id) FROM ".XHP_TBL_PREFIX."modules WHERE module_id='".$db->quote($_GET['module'])."'")==1)
	 	$clean_get['module'] = $_GET['module'];
	else if ($_GET['module']=="engine")
		$clean_get['module'] = "engine";
	
// $_GET['box_id'] must be a valid box id
if (isset($_GET['box_id']))
	if (is_numeric($_GET['box_id']))
		if ($db->get_var("SELECT COUNT(id) FROM ".XHP_TBL_PREFIX."boxes WHERE id='".$db->quote($_GET['box_id'])."'")==1)
			$clean_get['box_id'] = $_GET['box_id'];

// $_GET['page_id'] must be a valid page id
if (isset($_GET['page_id']))
	if (is_numeric($_GET['page_id']))
		if ($db->get_var("SELECT COUNT(page_id) FROM ".XHP_TBL_PREFIX."pages WHERE page_id='".$db->quote($_GET['page_id'])."'")==1)
			$clean_get['page_id'] = $_GET['page_id'];

// $_GET['page'] must be a valid page id
if (isset($_GET['page']))
	if (is_numeric($_GET['page']))
		if ($db->get_var("SELECT COUNT(page_id) FROM ".XHP_TBL_PREFIX."pages WHERE page_id='".$db->quote($_GET['page'])."'")==1)
			$clean_get['page'] = $_GET['page'];

// $_GET['theme'] must be a valid theme
if (isset($_GET['theme']))
{
	$dir = "themes";
	$themes = array();
	if (is_dir($dir))
	{
		if ($dh = opendir($dir))
		{
			while (($file = readdir($dh)) !== false)
				if (($file!=".")&&($file!="..")&&($file!="CVS")&&(strtolower($file)!="readme"))
				{
					$themes[] = $file;
				}
			closedir($dh);
		}
	}
	if (in_array($_GET['theme'],$themes))
		$clean_get['theme'] = $_GET['theme'];
}

			
// $_GET['basename'] is considered safe, as it is only used for redirects
// If someone thinks otherwise, please post a bug on sf.net
if (isset($_GET['basename']))
	$clean_get['basename'] = $_GET['basename'];
// same thing with $_GET['from_page']
if (isset($_GET['from_page']))
	$clean_get['from_page'] = $_GET['from_page'];
// $_GET['closewindow'] is also safe
if (isset($_GET['closewindow']))
	$clean_get['closewindow'] = $_GET['closewindow'];

 // End $_GET array
 

?>