<?
/**
 * The main GUI for the ImageManager.
 * @author $Author: cjlars $
 * @version $Id: standalonemanager.php,v 1.1.1.1 2005/06/19 13:16:20 cjlars Exp $
 * @package ImageManager
 */

	require_once('config.inc.php');
	require_once('Classes/FileManager.php');

	$manager = new FileManager($IMConfig);
	$dirs = $manager->getDirs();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
	<title>XHP File Manager</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <link href="assets/manager.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="assets/standalonepopup.js"></script>
<script type="text/javascript" src="assets/dialog.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
	window.resizeTo(600, 460);

	//if(window.opener)
		//I18N = window.opener.FileManager.I18N;

	var thumbdir = "<? echo $IMConfig['thumbnail_dir']; ?>";
	var base_url = "<? echo $manager->getBaseURL(); ?>";
/*]]>*/
</script>
<script type="text/javascript" src="assets/standalonemanager.js"></script>
</head>
<body>
<div class="title">XHP File Manager</div>
<form action="images.php" id="uploadForm" name="uploadForm" method="post" enctype="multipart/form-data">
<fieldset><legend>Files</legend>
<div class="dirs">
	<label for="dirPath">Directory</label>
	<select name="dir" class="dirWidth" id="dirPath" onchange="updateDir(this)">
	<option value="/">/</option>
<? foreach($dirs as $relative=>$fullpath) { ?>
		<option value="<? echo rawurlencode($relative); ?>"><? echo $relative; ?></option>
<? } ?>
	</select>
	<a href="#" onclick="javascript: goUpDir();" title="Directory Up"><img src="img/btnFolderUp.gif" height="15" width="15" alt="Directory Up" /></a>
<? if($IMConfig['safe_mode'] == false && $IMConfig['allow_new_dir']) { ?>
	<a href="#" onclick="newFolder();" title="New Folder"><img src="img/btnFolderNew.gif" height="15" width="15" alt="New Folder" /></a>
<? } ?>
	<div id="messages" style="display: none;"><span id="message"></span><img SRC="img/dots.gif" width="22" height="12" alt="..." /></div>
	<iframe src="images.php" name="imgManager" id="imgManager" class="imageFrame" scrolling="auto" title="Image Selection" frameborder="0"></iframe>
</div>
</fieldset>
<!-- image properties -->
	<table class="inputTable">
		<tr>
			<td align="right"><label for="f_url">File</label></td>
			<td><input type="text" id="f_url" class="largelWidth" value="" /></td>
		</tr>
		<tr>
			<td align="right"><label for="f_alt">Text</label></td>
			<td><input type="text" id="f_alt" class="largelWidth" value="" /></td>
		</tr>
		<tr>
			<td align="right"><label for="upload">Upload</label></td>
			<td>
				<table cellpadding="0" cellspacing="0" border="0">
                  <tr>
                    <td><input type="file" name="upload" id="upload"/></td>
                    <td>&nbsp;<button type="submit" name="submit" onclick="doUpload();"/>Upload</button></td>
                  </tr>
                </table>
			</td>
		</tr>
	</table>
<!--// image properties -->
	<div style="text-align: right;">
          <hr />
		  <button type="button" class="buttons" onclick="return refresh();">Refresh</button>
          <button type="button" class="buttons" onclick="return window.close();">OK</button>
    </div>
</form>
</body>
</html>