<?php
	// give all modules the chance to do global_execute()
	// this has been implemented so the statistics module can write stuff
	// in the database but maybe other uses can be found
	// think logging..., maybe debugging

	require_once ("inc/engine_security.inc.php");
	global $clean_post, $clean_get, $clean_cookie;
	

	$page_id = 0; // just initialize here
	$pages = $db->get_results("SELECT page_id FROM ".XHP_TBL_PREFIX."pages WHERE active=1 ORDER BY parent_id ASC, menu_order ASC",ARRAY_N);
	if (is_array($pages))
	{
        if (isset($clean_get['page']))
			$page_id = $clean_get['page'];
		else
			// no page requested, default to the first page
			$page_id = $pages[0][0];

		if (!in_array(array(0=>$page_id),$pages))
		{
			// requested page does not exists
			$page_id = $pages[0][0];
		}
	}
	else
	{
			$page_id = $pages[0][0];
	}



    $modules = $db->get_results ("SELECT * FROM ".XHP_TBL_PREFIX."modules");
	require_once ("inc/authentication.inc.php");
	$access_level = get_access_level();
    foreach ($modules as $module)
    {
   			require_once ("modules/".$module->module_id."/".$module->module_id.".xhpm.php");
            // initialize module object
            $classname = "xhp_".$module->module_id;
			$objmodule = new $classname($module->module_id,0,$page_id,$access_level);
			// we only know the page id at this stage, not the box id
   			//$objmodule->page_id = $page_id;
			//$objmodule->access_level = $access_level;
			//$objmodule->process_input();
   			$objmodule->global_execute();
    }

	// initialize the headers array
	$headers = array();

	// give modules on the current page the chance to alter HTML headers
	// the main module on the page changes the headers the last,
	// as it can override the others
	$page_modules = $db->get_results ("SELECT * FROM ".XHP_TBL_PREFIX."boxes WHERE page_id='".$db->quote($page_id)."' ORDER BY main_module ASC");
	if (is_array($page_modules))
	{
		foreach ($page_modules as $page_module)
		{
			// If we are in the edit window, only call change headers for the module
			// that draws the edit window
			if (substr($_SERVER['SCRIPT_NAME'],-14) =="editwindow.php")
			{
				if ($page_module->id == $clean_get['box_id'])
				{
					require_once ("modules/".$page_module->module_id."/".$page_module->module_id.".xhpm.php");
					// initialize module object
					$classname = "xhp_".$page_module->module_id;
					$objmodule = new $classname($page_module->module_id,$page_module->id,$page_id,$access_level);
					$objmodule->change_headers();
				}
			}
			else 
			{
				require_once ("modules/".$page_module->module_id."/".$page_module->module_id.".xhpm.php");
				// initialize module object
				$classname = "xhp_".$page_module->module_id;
				$objmodule = new $classname($page_module->module_id,$page_module->id,$page_id,$access_level);
				$objmodule->change_headers();
			}
		}
	}

	// put default values for undefined headers
	$page_title = $db->get_var ("SELECT title FROM ".XHP_TBL_PREFIX."pages WHERE page_id='".$db->quote($page_id)."'");
	if (!isset($headers['title']))
		$headers['title'] = "<title>".$page_title." - ".XHP_C_PAGE_TITLE."</title>\n";
	if (!isset($headers['meta_http_equiv']))
		$headers['meta_http_equiv'] = "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>\n";
	if (!isset($headers['meta_generator']))
		$headers['meta_generator'] = "<meta name=\"GENERATOR\" content=\"XHP - eXpandable Home Page v0.4\"/>\n";


	// draw headers as instructed by the modules
	foreach ($headers as $header)
	{
		echo $header;
	}
