<?php
/*
 *
 *  XHP - eXpandable Home Page [xhp.targetit.ro]
 *  Copyright (C) 2003-2005
 *  Laurentiu "Lars" Matei <laurentiu.matei@targetit.ro>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


require_once ("inc/xhp_module.inc.php");
class xhp_tigra_menu extends xhp_module
{

function draw_module()
{
	echo "<p>This is a menu module, not for use as a box module</p>\n";
}

function draw_tigra_menu_entries($db,$pages,$depth,$parent_active)
{
	$entries_string = "";
    foreach ($pages as $page)
    {
    	if (($page->active==0)||($parent_active==0))
    	{
			if ($this->access_level >= XHP_ACCESS_ADMIN)
    		{
		        for ($i = 0; $i < $depth; $i++)
		        	$entries_string .= "\t";
		        $entries_string .= "['".$page->title." (".XHP_PAGE_INACTIVE.")', 'index.php?page=".$page->page_id."'";
		    }
	    }
	    else
	    {
	        //echo "<li><a href=\"index.php?page=".$page->page_id."\">".$page->title."</a>\n";
	        for ($i = 0; $i < $depth; $i++)
	        	$entries_string .= "\t";
	        $entries_string .= "['".$page->title."', 'index.php?page=".$page->page_id."'";
	    }

        if (($page->active!=0)||($username))
        {
	        $children = $db->get_results("SELECT * FROM ".XHP_TBL_PREFIX."pages WHERE parent_id=".$db->quote($page->page_id)." ORDER BY menu_order ASC");
	        if (count($children)>0)
	        {
	        	$entries_string .= ",null,\n";
	            $entries_string .= $this->draw_tigra_menu_entries($db,$children,$depth+1,$page->active);
	            //$entries_string .= "],\n";
    	    }
	        for ($i = 0; $i < $depth; $i++)
	        	$entries_string .= "\t";
	        $entries_string .= "],\n";
	    }
    }
    return $entries_string;
 }

function draw_tigra_menu()
{
	require_once ("config.php");
    global $db;

    $entries_string = "";

    // Draw the pages in the menu recursively
    $pages = $db->get_results("SELECT * FROM ".XHP_TBL_PREFIX."pages WHERE parent_id=-1 ORDER BY menu_order ASC");
    $entries_string .= $this->draw_tigra_menu_entries($db,$pages,0,1);

    // Draw logout button if logged in
	if ($this->access_level >= XHP_ACCESS_ADMIN)
	{
		//echo "<li><a href=\"action.php?module=users&amp;action=logout\">".XHP_LOGOUT."</a></li>\n";
		$entries_string .= "['".XHP_LOGOUT."','action.php?module=users&amp;action=logout'],\n";
    }
    return $entries_string;
}

function dump_tigra_items()
{
	$menu_entries = "var MENU_ITEMS = [\n";
	$menu_entries .= $this->draw_tigra_menu();
	$menu_entries .= "];\n";
	$handle = fopen("themes/xhp_tigra/menu_items_xhp_".session_id().".js","wb");
	fwrite ($handle,$menu_entries);
	fclose ($handle);
}


} // End class
?>