<?php
/*
 *
 *  XHP - eXpandable Home Page [xhp.targetit.ro]
 *  Copyright (C) 2003-2005
 *  Laurentiu "Lars" Matei <laurentiu.matei@targetit.ro>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
	require_once ("inc/engine_security.inc.php");
	global $clean_post, $clean_get, $clean_cookie;

	if (file_exists("install.php"))
	{
		header("Location: install.php");
		//echo "Site not configured. If you're not automatically redirected to setup page, click <a href=\"install.php\">here</a>.";
	}
	else
	{
		session_start();
		require_once ("config.php");
		require_once ("inc/content.inc.php");
		global $db;

		$language = "english";
		$language = $db->get_var ("SELECT value FROM ".XHP_TBL_PREFIX."config WHERE variable='LANGUAGE' LIMIT 1");

		require_once("inc/gettext/gettext_wrapper.inc.php");
		php_gettext_init($language);
		

		// if this page has its own theme, use it
		// else use site theme
		$theme = XHP_C_THEME;
		if (isset($clean_get['page']))
		{
			$page_theme = $db->get_var ("SELECT theme FROM ".XHP_TBL_PREFIX."pages WHERE page_id='".$db->quote($clean_get['page'])."'");
			if (($page_theme != "site_scheme")&&($page_theme!=null))
				$theme = $page_theme;
		}
		
		// We introduce the optional theme parameter
		// It is used for forcing the theme when a faulty theme is chosen that renders XHP unusable
		if (isset($clean_get['theme']))
		{
			$theme = $clean_get['theme'];
			require_once ("inc/authentication.inc.php");
			$username=get_current_xhp_user();
			if ($username)
			{
				$db->query ("UPDATE ".XHP_TBL_PREFIX."config SET value='".$db->quote($theme)."' WHERE variable='THEME'");
			}
		}
		require_once ("themes/".$theme."/theme.php");
	}
?>
