<?php
function draw_tigra_menu_entries($db,$pages,$depth,$parent_active)
{
	require_once ("../../inc/authentication.inc.php");
	$username=get_current_xhp_user();
    foreach ($pages as $page)
    {
    	if (($page->active==0)||($parent_active==0))
    	{
    		if ($username)
    		{
		        //echo "<li><a href=\"index.php?page=".$page->page_id."\">".$page->title." (".XHP_PAGE_INACTIVE.")</a>\n";
		        echo "['".$page->title." (".XHP_PAGE_INACTIVE.")', 'index.php?page=".$page->page_id."'],\n";
		    }
	    }
	    else
	    {
	        //echo "<li><a href=\"index.php?page=".$page->page_id."\">".$page->title."</a>\n";
	        echo "['".$page->title."', 'index.php?page=".$page->page_id."'],\n";
	    }

        $children = $db->get_results("SELECT * FROM ".XHP_TBL_PREFIX."pages WHERE parent_id=".$db->quote($page->page_id)." ORDER BY menu_order ASC");
        if (count($children)>0)
        {
        	echo "[\n";
            draw_tigra_menu_entries($db,$children,$depth+1,$page->active);
            echo "]\n";
        }
        echo "</li>\n";
    }
 }

function draw_tigra_menu()
{
	require_once ("../../config.php");
    global $db;

    // Draw the pages in the menu recursively
    //$pages = $db->get_results("SELECT * FROM ".XHP_TBL_PREFIX."pages WHERE active=1 AND parent_id=-1 ORDER BY menu_order ASC");
    $pages = $db->get_results("SELECT * FROM ".XHP_TBL_PREFIX."pages WHERE parent_id=-1 ORDER BY menu_order ASC");
    draw_tigra_menu_entries($db,$pages,0,1);

    // Draw logout button if logged in
	require_once("../../inc/authentication.inc.php");
	if ($username=get_current_xhp_user())
	{
		//echo "<li><a href=\"action.php?module=users&amp;action=logout\">".XHP_LOGOUT."</a></li>\n";
		echo "['".XHP_LOGOUT."','action.php?module=users&amp;action=logout'],\n";
    }
}


	echo "var MENU_ITEMS = [\n";
	draw_tigra_menu();
	echo "];\n";
?>